#!/bin/bash
Level=`/sbin/runlevel`

if [ "$Level" = "N 3" ] 
then
	# Add device in /dev for windrvr6 -> Extracted from "/usr/Innovative/WinDriver-10.3/redist/wdreg windrvr6 auto"
	major=`grep -w windrvr6 /proc/devices | cut -f1 -d" "`
	mknod /dev/windrvr6 c $major 0 
	chmod 666 /dev/windrvr6

	# Load Malibu driver
	insmod /home/sondeur/CSC_DAQ/kp_malibu_module.ko

	# Force the mount for some folders in /etc/fstab
	mount -a

	# Change some folder rights
        # /dev/stdout must be RW for user sondeur
	chmod 777 /dev/stdout

	# Set some system values
        # fix the name of the core, and no limit for the size of core.
	/bin/echo /Log/core_daq > /proc/sys/kernel/core_pattern
	ulimit -c unlimited

        # The eth0 is directly configured through the DHCP. So local config in /etc/ is unused.
	# especially the ifup-route is not used.
	# So force the call here.
	/etc/sysconfig/network/scripts/ifup-route eth0

        # By default the system makes some stat("/etc/localtime").
        # /etc/localtime is over NFS. All the soft hangs if the NFS is out (e.g. link down)
        # seems that making 'export TZ=UTC ' solves it
        export TZ=UTC

	# Ready to start DAQ
	cd /home/sondeur/Chris
	./DaqBasic
else
	/bin/echo "Disabled TTY"
fi
